import { TLanguage } from '@cainiaofe/cn-i18n';
import type { CnTableCellFormatProps } from '../types';
export declare function createCurrencyWithUnitFormat(numAdapterLocale?: boolean | TLanguage): () => {
    align: string;
    cell(val: CnTableCellFormatProps<string>): string | number | import("../types").CnTableCellFormatBalloon;
};
